[arch-commits] Commit in mpfr/repos (6 files)

Allan McRae allan at nymeria.archlinux.org
Thu Mar 14 01:27:49 UTC 2013


    Date: Thursday, March 14, 2013 @ 02:27:48
  Author: allan
Revision: 179997

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  mpfr/repos/testing-i686/
  mpfr/repos/testing-i686/PKGBUILD
    (from rev 179996, mpfr/trunk/PKGBUILD)
  mpfr/repos/testing-i686/mpfr.install
    (from rev 179996, mpfr/trunk/mpfr.install)
  mpfr/repos/testing-x86_64/
  mpfr/repos/testing-x86_64/PKGBUILD
    (from rev 179996, mpfr/trunk/PKGBUILD)
  mpfr/repos/testing-x86_64/mpfr.install
    (from rev 179996, mpfr/trunk/mpfr.install)

-----------------------------+
 testing-i686/PKGBUILD       |   37 +++++++++++++++++++++++++++++++++++++
 testing-i686/mpfr.install   |   20 ++++++++++++++++++++
 testing-x86_64/PKGBUILD     |   37 +++++++++++++++++++++++++++++++++++++
 testing-x86_64/mpfr.install |   20 ++++++++++++++++++++
 4 files changed, 114 insertions(+)

Copied: mpfr/repos/testing-i686/PKGBUILD (from rev 179996, mpfr/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2013-03-14 01:27:48 UTC (rev 179997)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: damir <damir at archlinux.org>
+
+pkgname=mpfr
+_pkgver=3.1.2
+#_patchlevel=p1
+#pkgver=${_pkgver}.${_patchlevel}
+pkgver=${_pkgver}
+pkgrel=1
+pkgdesc="Multiple-precision floating-point library"
+arch=('i686' 'x86_64')
+url="http://www.mpfr.org/"
+license=('LGPL')
+depends=('gmp>=5.0')
+options=('!libtool')
+install=mpfr.install
+source=(http://www.mpfr.org/mpfr-current/mpfr-${_pkgver}.tar.xz{,.asc})
+md5sums=('e3d203d188b8fe60bb6578dd3152e05c'
+         '63d1a00bedd4fed3717115297f70d029')
+
+build() {
+  cd "${srcdir}/${pkgname}-${_pkgver}"
+  #patch -p1 -i $srcdir/mpfr-${_pkgver}-${_patchlevel}.patch
+  ./configure --prefix=/usr --enable-thread-safe --enable-shared
+  make
+}
+
+check() {
+  cd "${srcdir}/${pkgname}-${_pkgver}"
+  make check
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${_pkgver}"
+  make DESTDIR="${pkgdir}" install
+}

Copied: mpfr/repos/testing-i686/mpfr.install (from rev 179996, mpfr/trunk/mpfr.install)
===================================================================
--- testing-i686/mpfr.install	                        (rev 0)
+++ testing-i686/mpfr.install	2013-03-14 01:27:48 UTC (rev 179997)
@@ -0,0 +1,20 @@
+info_dir=usr/share/info
+info_files=(mpfr.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}

Copied: mpfr/repos/testing-x86_64/PKGBUILD (from rev 179996, mpfr/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2013-03-14 01:27:48 UTC (rev 179997)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: damir <damir at archlinux.org>
+
+pkgname=mpfr
+_pkgver=3.1.2
+#_patchlevel=p1
+#pkgver=${_pkgver}.${_patchlevel}
+pkgver=${_pkgver}
+pkgrel=1
+pkgdesc="Multiple-precision floating-point library"
+arch=('i686' 'x86_64')
+url="http://www.mpfr.org/"
+license=('LGPL')
+depends=('gmp>=5.0')
+options=('!libtool')
+install=mpfr.install
+source=(http://www.mpfr.org/mpfr-current/mpfr-${_pkgver}.tar.xz{,.asc})
+md5sums=('e3d203d188b8fe60bb6578dd3152e05c'
+         '63d1a00bedd4fed3717115297f70d029')
+
+build() {
+  cd "${srcdir}/${pkgname}-${_pkgver}"
+  #patch -p1 -i $srcdir/mpfr-${_pkgver}-${_patchlevel}.patch
+  ./configure --prefix=/usr --enable-thread-safe --enable-shared
+  make
+}
+
+check() {
+  cd "${srcdir}/${pkgname}-${_pkgver}"
+  make check
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${_pkgver}"
+  make DESTDIR="${pkgdir}" install
+}

Copied: mpfr/repos/testing-x86_64/mpfr.install (from rev 179996, mpfr/trunk/mpfr.install)
===================================================================
--- testing-x86_64/mpfr.install	                        (rev 0)
+++ testing-x86_64/mpfr.install	2013-03-14 01:27:48 UTC (rev 179997)
@@ -0,0 +1,20 @@
+info_dir=usr/share/info
+info_files=(mpfr.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}




More information about the arch-commits mailing list